#! ruby -Ku
  # encoding: utf-8
  # copy exlap.rb, wrdap.rb, pptap.rb to the ruby library path
require "fileutils"

def remove_old_file()
    ary = $:
    count = 0
    ary.each do |dir|
      next  if dir =~ /^\./
      dir = dir.gsub(/\\/, "/")
      dir = dir.sub(/\/+$/, "")
      %w(exlap.rb wrdap.rb pptap.rb).each do |rb_name|
        filename = dir + "/#{rb_name}"
        if test(?e, filename)
          File.unlink(filename)
          puts "delete '#{filename}'"
          count += 1
        end
      end
    end
    return count
end

## main
src_ary = %w(exlap.rb wrdap.rb pptap.rb)
src_count = 0
src_ary.each do |src_file|
  if !test(?e, src_file)
    puts "can't find '#{src_file}' "
  else
    src_count += 1
  end
end
if src_count < src_ary.size
  exit
end

dest_dir = nil
ary = $:
ary.each {|dir|
  dir = dir.gsub(/\\/, "/")
  if dir =~ /site_ruby\/\d[^\/]+$/
    dest_dir = dir
    break
  end
}
if dest_dir
  remove_old_file()
  w = []
  src_ary.each do |src_file|
    if test(?e, src_file)
      FileUtils.cp(src_file, dest_dir, {:preserve=>true})
      w << "'#{src_file}'"
    end
  end
  puts "copy #{w.join(', ')} to '#{dest_dir}'"
else
  puts "can't copy #{src_ary.join(', ')}"
end
